Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class Shader

    java.lang.Object
      codeanticode.glgraphics.Shader

Direct Known Subclasses:
  ShaderCG, ShaderCGFX, ShaderGLSL

    public abstract class Shader

extends java.lang.Object

Field Summary
`static int` | `CG`
`static int` | `CGFX`
`static int` | `GLSL`
`static int` | `UNKNOWN`

Constructor Summary
`Shader()`

Method Summary
`abstract void` | `disable()`
`abstract void` | `enable()`
`void` | `setId(int id)`
`abstract void` | `setMatrixParameterSemantic(java.lang.String param, float[] v)`
`abstract void` | `setMatrixParameterSemantic(java.lang.String param, int matrix, int matrixType)`
`void` | `setName(java.lang.String n)`
`abstract void` | `setParameter1d(java.lang.String param, double x)`
`abstract void` | `setParameter1f(java.lang.String param, float x)`
`abstract void` | `setParameter1i(java.lang.String param, int x)`
`abstract void` | `setParameter2f(java.lang.String param, float x, float y)`
`abstract void` | `setParameter3f(java.lang.String param, float x, float y, float z)`
`abstract void` | `setParameter3fv(java.lang.String param, float[] v)`
`abstract void` | `setParameter4f(java.lang.String param, float x, float y, float z, float w)`
`abstract void` | `setParameter4fv(java.lang.String param, float[] v)`
`abstract void` | `setParameter4x4d(java.lang.String param, double[] v)`
`abstract void` | `setParameter4x4f(java.lang.String param, float[] v)`
`abstract void` | `setParameter4x4f(java.lang.String param, int matrix, int matrixType)`
`abstract void` | `setParameter4x4fBySemantic(java.lang.String param, int matrix, int matrixType)`
`abstract void` | `setParameterSemantic(java.lang.String param, float x)`
`abstract void` | `setParameterSemantic(java.lang.String param, float x, float y)`
`abstract void` | `setParameterSemantic(java.lang.String param, float x, float y, float z)`
`abstract void` | `setParameterSemantic(java.lang.String param, float x, float y, float z, float w)`
`abstract void` | `setTextureParameter(java.lang.String param, int val)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### CG

    public static final int CG

See Also:
  Constant Field Values

### CGFX

    public static final int CGFX

See Also:
  Constant Field Values

### GLSL

    public static final int GLSL

See Also:
  Constant Field Values

Constructor Detail

### Shader

    public Shader()

Method Detail

### setId

    public void setId(int id)

### setName

    public void setName(java.lang.String n)

### enable

    public abstract void enable()

### disable

    public abstract void disable()

### setTextureParameter

    public abstract void setTextureParameter(java.lang.String param,
                                             int val)

### setParameter1d

    public abstract void setParameter1d(java.lang.String param,
                                        double x)

### setParameter1f

    public abstract void setParameter1f(java.lang.String param,
                                        float x)

### setParameter1i

    public abstract void setParameter1i(java.lang.String param,
                                        int x)

### setParameter2f

    public abstract void setParameter2f(java.lang.String param,
                                        float x,
                                        float y)

### setParameter3f

    public abstract void setParameter3f(java.lang.String param,
                                        float x,
                                        float y,
                                        float z)

### setParameter3fv

    public abstract void setParameter3fv(java.lang.String param,
                                         float[] v)

### setParameter4f

    public abstract void setParameter4f(java.lang.String param,
                                        float x,
                                        float y,
                                        float z,
                                        float w)

### setParameter4fv

    public abstract void setParameter4fv(java.lang.String param,
                                         float[] v)

### setMatrixParameterSemantic

    public abstract void setMatrixParameterSemantic(java.lang.String param,
                                                    int matrix,
                                                    int matrixType)

### setMatrixParameterSemantic

    public abstract void setMatrixParameterSemantic(java.lang.String param,
                                                    float[] v)

### setParameterSemantic

    public abstract void setParameterSemantic(java.lang.String param,
                                              float x)

### setParameterSemantic

    public abstract void setParameterSemantic(java.lang.String param,
                                              float x,
                                              float y)

### setParameterSemantic

    public abstract void setParameterSemantic(java.lang.String param,
                                              float x,
                                              float y,
                                              float z)

### setParameterSemantic

    public abstract void setParameterSemantic(java.lang.String param,
                                              float x,
                                              float y,
                                              float z,
                                              float w)

### setParameter4x4fBySemantic

    public abstract void setParameter4x4fBySemantic(java.lang.String param,
                                                    int matrix,
                                                    int matrixType)

### setParameter4x4f

    public abstract void setParameter4x4f(java.lang.String param,
                                          int matrix,
                                          int matrixType)

### setParameter4x4d

    public abstract void setParameter4x4d(java.lang.String param,
                                          double[] v)

### setParameter4x4f

    public abstract void setParameter4x4f(java.lang.String param,
                                          float[] v)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008